<?php
session_start();
if(strpos(strtolower($_SERVER['REQUEST_URI']), 'phpsessid') !== false)
{
  session_destroy();
  session_regenerate_id();
  session_start();
                              
}
///Construtoras listar
include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../includes/topo.php"; 

$sqle = mysql_query("SELECT * FROM l_estados ORDER BY estado asc");
$sqlr = mysql_query("SELECT * FROM ramos ORDER BY ramo asc");
$sqlt = mysql_query("SELECT * FROM tags ORDER BY tag asc");


/*
if(isset($_GET['c'])){

  $id_cidade = $_GET['c'];
  $sqlc = mysql_query("SELECT * FROM l_bairros WHERE id_cidade = '$id_cidade' ORDER BY bairro asc");
  $sqluf = mysql_query("SELECT * FROM l_cidades WHERE id='$id_cidade'");
  $numc = mysql_num_rows($sqlc);
  $line = mysql_fetch_assoc($sqluf);
  $id_uf = $line['id_uf'];

}else{

  $sqlc = mysql_query("SELECT * FROM l_bairros WHERE id_cidade = '333333333' ORDER BY bairro asc");
  $sqluf = mysql_query("SELECT * FROM l_cidades WHERE id='4444444444'");
  $line = mysql_fetch_assoc($sqluf);  
    $id_uf = $line['id_uf'];

}

$num  =  mysql_num_rows($sqlc);*/

?>


        <ul class="breadcrumb">
          <li><a href="<?php echo sti('adm');  ?>">Home</a></li>
          <li class="active">Cadastro BOX</li>
                </ul>


<div class="row">
   <div class="col-md-8">

                <div style='display:none' class="alert alert-success alert-dismissible fade in" id='msg2' role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
      <strong>Dados cadastrados com sucesso</strong> 
    </div>

        <table class="table table-bordered">

        <thead>

          <tr>
            <!-- <th>MOVER</th> -->

            <th colspan='5'>Cadastro BOX</th>  

            </tr>
        </thead>
        <form name='cadastro' id='cadastro' action='upload-box.php'  enctype="multipart/form-data" method="POST">
        <tbody>
       
          <tr>
            <td  colspan='5'>
            <label></label>
          
               <div class="form-group">
              
              <input type='file' class='form-control' name='ha' >
              <br />
         
               </div>
              <input type='submit' class='btn btn-warning form-control' value='Upload do TXT' />


          </td>

        </tr>
        </form>   
       

          <tr>
            <td  colspan='5'>
         
              <?php

              if(file_exists('ha.txt')){

                echo "       <a class='btn btn-success form-control' href='multigo-box.php'>Cadastrar TXT</a><br>";

                $texto = "";

$cidade = '';
$uf     = '';

$handle = fopen("ha.txt", "r");
if ($handle) {
    while (($line = fgets($handle)) !== false) {
      $line = trim($line);

        if($line!='') { 

          if(strpos($line,']]')){

          $cuf = explode('||', $line);
          $cidade = str_replace('[[', '', $cuf[0]);
          $uf = str_replace(']]', '', $cuf[1]);
          $autotag = str_replace(']]', '', $cuf[2]);

         } else{
        
            $texto .= ($line).'<br>';

         }


        }
    }

    
    echo "<br /><strong>Cidade/Estado: </strong>$cidade/$uf - $autotag";
    echo '<hr>';
    echo $texto;
    fclose($handle);



} else {
 
} 


              }

              ?>

            </td>
          </tr>

        </tbody>
      </table>


</div><!-- col1 -->
   <div class="col-md-4">
        <table class="table table-bordered">

        <thead>

          <tr>
            <!-- <th>MOVER</th> -->

            <th colspan='1'>Arquivo</th>  

          </tr>
        </thead>
        <tbody>
          <tr>
            <td>

              <?php

              if(file_exists('ha.txt')){
                echo "<a href='ha.txt' target='_blank'>Veja o arquivo de upload</a>";
              }else{
                echo "<p>Faça upload do Arquivo txt</p>";
              }

              ?>

              <hr>

              <a href='ha2.txt' target='_blank'>Veja um exemplo</a>

            </td>
          </tr>

   </table>
</div>
</div><!-- row -->


<script type="text/javascript">
    $(document).ready(function(){


      <?php   
      if(isset($_GET['cad'])) { 


      ?>


          $('#msg2').slideDown('slow',function(){

            $('#msg2').delay('5000').slideUp('fast');

          });



      <?php   

    }

      ?>


 $("input[name=telefone]").keyup(function(){
    var tel = $("input[name=telefone]").val();
      if(tel.length > 7){

    $.ajax({   
      url: "checktel.php",
      data: {'tel':tel},
      type: 'POST',
      beforeSend: function() {    


      },
    success: function(data)
    {
 
      if(data=='2'){

           $('#avisotel').html('<a target="_blank" href="similares.php?tel='+tel+'">Telefone similar encontrado</a>');
            $('#avisotel').slideDown('slow');

     }else{
      $('#avisotel').slideUp('fast');
     }


    }

  });

      }

      });




 $("#ramo2").val($("#ramo").val());

 $(".tagin").change(function(){

    var tag  = $(this).val();
    var nome = $('#nome').val();

  if($(this).prop('checked')==true){ 

    $("#nome").val(nome+' - '+tag);

  }else{

    $("#nome").val(nome.replace(' - '+tag, ""));
   
  }

 });


      $("#estados").change(function(){
        var uf = $("#estados").val();

    $.ajax({   
      url: "retCidades.php?uf="+uf,
      type: 'GET',
      beforeSend: function() {    


      },
    success: function(data)
    {
 
        $('#retc').html(data);  
        $("#uf").val(uf);
        bairro();
    }
  });

      });
    

  
function bairro( ) {
      $("#cidades").change(function(){

     var c = $("#cidades").val();


    $.ajax({   
      url: "retBairros.php?c="+c,
      type: 'GET',
      beforeSend: function() {    

      },
    success: function(data)
    {
 
        $('#retb').html(data);  
        $("#estados").attr('disabled', true);
            $("#cidades").attr('disabled', true);
        $("#cidade").val(c);
        travab()

       
    }
    });

      });

    }


    function travab(){ 
   $("#bairros").change(function(){

    var bairro = $("#bairros").val();

    
    $("#bairro").val(bairro);

   });
 }


 $("#ramo").change(function(){

        var ramo = $(this).val();
        //$("#bairros").attr('disabled', true);
        $("#ramo2").val(ramo);
   });

 

 $("#ramo").blur(function(){
  var ramo = $(this).val();
     $("#ramo2").val(ramo);
  $("#ramo").attr('disabled', true);

 });


  
 $("#cadastrar").click(function(){
         var str = $( "#cadastro" ).serialize();

    $.ajax({   
      url: "cadastrar.php",
      data: str,
      type: 'POST',
      beforeSend: function() {    

        $('#avisotel').slideUp('fast');

      },
    success: function(data)
    {
 
        //alert(data);
        if(data=='1'){
          $('input[name=empresa]').val("");
          $('input[name=telefone]').val("");
          $('input[name=endereco]').val("");

          $('#msg').slideDown('slow',function(){


            $('#msg').delay('2000').slideUp('fast');

          });
        }else{

          $('#msg2').slideDown('slow',function(){

            $('#msg2').delay('2000').slideUp('fast');

          });

        }
    }

  });

      });

   $("#nameformat").click(function(){
         var nome = $( "#nome" ).val();
         var cidade = $( "#cidade" ).val();
         var bairro = $( "#bairro" ).val();
         var uf = $( "#uf" ).val();
         var empresa = $( "input[name=empresa]" ).val();

    $.ajax({   
      url: "nameformat.php",
      data: {'nome':nome,'cidade':cidade,'bairro':bairro,"uf":uf,'empresa':empresa},
      type: 'POST',
      beforeSend: function() {    


      },
    success: function(data)
    {

        $( "input[name=empresa]" ).val(data);

    }

  });

      });


    });
  </script>

<?php include "../includes/rodape.php"; ?>
